Results 1 to 7 of 7

Thread: Get VirtualBox kernel module for newer kernel

  1. #1

    Default Get VirtualBox kernel module for newer kernel

    I'm currently running kernel 3.12 from OpenSuse Standard Kernel repo and the problem is that the VirtualBox kernel module is only available for the 3.11 kernel version. Where do I get the appropriate VirtualBox module?

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,856
    Blog Entries
    14

    Default Re: Get VirtualBox kernel module for newer kernel

    Quote Originally Posted by tobice View Post
    I'm currently running kernel 3.12 from OpenSuse Standard Kernel repo and the problem is that the VirtualBox kernel module is only available for the 3.11 kernel version. Where do I get the appropriate VirtualBox module?
    AFAIK you need to build it yourself:
    Install the Linux Kernel Development pattern through Softwaremanagement
    then open a terminal window and do
    Code:
    su -c 'vboxdrv setup'
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: Get VirtualBox kernel module for newer kernel

    Quote Originally Posted by Knurpht View Post
    AFAIK you need to build it yourself:
    Install the Linux Kernel Development pattern through Softwaremanagement
    then open a terminal window and do
    Code:
    su -c 'vboxdrv setup'
    But that only works if you install the VirtualBox rpm from http://virtualbox.org/.

    openSUSE's Virtualization repo is actually available for Kernel:stable though:
    http://download.opensuse.org/reposit...able_standard/

    But the packages there fail to build since quite some time, so only virtualbox-4.2.10 is available and only for 64bit.
    If that's enough for you, you could just install the packages from that repo.

    Or you could try the repo for Tumbleweed (which has kernel 3.12.7 atm):
    http://download.opensuse.org/reposit...SE_Tumbleweed/

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,856
    Blog Entries
    14

    Default Re: Get VirtualBox kernel module for newer kernel

    Quote Originally Posted by wolfi323 View Post
    But that only works if you install the VirtualBox rpm from http://virtualbox.org/.

    openSUSE's Virtualization repo is actually available for Kernel:stable though:
    http://download.opensuse.org/reposit...able_standard/

    But the packages there fail to build since quite some time, so only virtualbox-4.2.10 is available and only for 64bit.
    If that's enough for you, you could just install the packages from that repo.

    Or you could try the repo for Tumbleweed (which has kernel 3.12.7 atm):
    http://download.opensuse.org/reposit...SE_Tumbleweed/
    You are 100 % right.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  5. #5

    Default Re: Get VirtualBox kernel module for newer kernel

    Thanks for the answers.

    I tried the standard kernel virtualization repo and unfortunately I couldn't install VirtualBox from it because of some broken dependency. But it wouldn't help anyway since only kernel 3.8 is supported in this repo.

    On the other hand Tumbleweed looks like it should solve the problem. However I'm a little bit worried. Tumbleweed repo means that the software is updated all the time, there are no major versions right? I'm currently running kernel 3.12 and I don't suppose it will change until the next major release of OpenSuse. Can I be sure that the module will remain in sync with my kernel?

  6. #6

    Default Re: Get VirtualBox kernel module for newer kernel

    Quote Originally Posted by tobice View Post
    Thanks for the answers.

    I tried the standard kernel virtualization repo and unfortunately I couldn't install VirtualBox from it because of some broken dependency. But it wouldn't help anyway since only kernel 3.8 is supported in this repo.
    Right, sorry. I didn't look got enough, I read 3.12.5 instead of 3.8.5...

    On the other hand Tumbleweed looks like it should solve the problem. However I'm a little bit worried. Tumbleweed repo means that the software is updated all the time, there are no major versions right? I'm currently running kernel 3.12 and I don't suppose it will change until the next major release of OpenSuse. Can I be sure that the module will remain in sync with my kernel?
    As long as the major version number is the same (i.e. 3.12.x), the package should work.
    When Tumbleweed gets kernel 3.13, you can just disable the repo and continue to use the older packages.

    But when kernel 3.13 is released (i.e. it is stable), it should appear in the Kernel:stable repo as well, I think.

    If you don't want to risk getting out of sync, your only choice is to compile the kernel module yourself, i.e. install the VirtualBox package from their website and run "sudo /etc/init.d/vboxdrv setup". You might have to do that after every kernel update though, or use dkms.

    Or wait until the fix the virtualbox build for Kernel:stable. But since the last successful build was last April, I doubt that will happen anytime soon...

  7. #7

    Default Re: Get VirtualBox kernel module for newer kernel

    Thank you. I updated VirtualBox using the TumbleWeed and it works now.

    Unfortunately, my exact kernel version is 3.12.8-1 whereas the module in TumbleWeed is built for 3.12.8-8. I decided to ignore the dependencies and it works. I hope it won't break anything in the future.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •